Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class BindPath

    java.lang.Object
      org.codehaus.groovy.binding.BindPath

    @SuppressWarnings({"unchecked"}) // all are of type Object, so generics are useless
    public class BindPath
    extends Object

The bind path object. This class represents one "step" in the bind path.

Method Summary
`void` | `addAllListeners(PropertyChangeListener listener, Object newObject, Set updateSet)` Adds all the listeners to the objects in the bind path.
`void` | `addListeners(PropertyChangeListener listener, Object newObject, Set updateSet)` Add listeners to a specific object.
`TriggerBinding` | `getSyntheticTriggerBinding(Object newObject)`
`void` | `removeListeners()` Remove listeners, believeing that our bould flags are accurate and it removes only as declared.
`void` | `updateLocalSyntheticProperties(Map synthetics)`
`void` | `updatePath(PropertyChangeListener listener, Object newObject, Set updateSet)` Called when we detect a change somewherer down our path.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addAllListeners

    public void addAllListeners(PropertyChangeListener listener, Object newObject, Set updateSet)

  Adds all the listeners to the objects in the bind path. This assumes that we are not added as listeners to any of them, hence it is not idempotent.
  Parameters:
    `listener` - This listener to attach.
    `newObject` - The object we should read our property off of.
    `updateSet` - The list of objects we have added listeners to

### addListeners

    public void addListeners(PropertyChangeListener listener, Object newObject, Set updateSet)

  Add listeners to a specific object. Updates the bould flags and update set
  Parameters:
    `listener` - This listener to attach.
    `newObject` - The object we should read our property off of.
    `updateSet` - The list of objects we have added listeners to

### getSyntheticTriggerBinding

    public TriggerBinding getSyntheticTriggerBinding(Object newObject)

### removeListeners

    public void removeListeners()

  Remove listeners, believeing that our bould flags are accurate and it removes only as declared.

### updateLocalSyntheticProperties

    public void updateLocalSyntheticProperties(Map synthetics)

### updatePath

    public void updatePath(PropertyChangeListener listener, Object newObject, Set updateSet)

  Called when we detect a change somewherer down our path. First, check to see if our object is changing. If so remove our old listener Next, update the reference object the children have and recurse Finally, add listeners if we have a different object
  Parameters:
    `listener` - This listener to attach.
    `newObject` - The object we should read our property off of.
    `updateSet` - The list of objects we have added listeners to

Copyright © 2003-2010 The Codehaus. All rights reserved.